commit:     3dc3683c7a588a2fab3d953172301bce5a6f7245
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 20 10:59:22 2018 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Thu Dec 20 10:59:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dc3683c

x11-misc/albert: version bump 0.15.0

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 x11-misc/albert/Manifest             |  2 ++
 x11-misc/albert/albert-0.15.0.ebuild | 60 ++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/x11-misc/albert/Manifest b/x11-misc/albert/Manifest
index ac664e1af57..f8ec5c33a3d 100644
--- a/x11-misc/albert/Manifest
+++ b/x11-misc/albert/Manifest
@@ -1,2 +1,4 @@
 DIST albert-0.14.22-plugins.tar.gz 540446 BLAKE2B 
22cf69698614a1b0e97fd1f5e3224b9097141c4a32c7999b9468c3c59b6af0d7a753de59a7abeb07f9ef9655abc05b8cb5e5079c9b41eb9f51dc09291b89b635
 SHA512 
4cce6ad717991a6a2293b491f17838a01ba51e4222deb78d5b793ab3390692131f4938027b96863c6cd61ec7a764fa6d52b3c3ef33cadd3183b2fe1498b6d344
 DIST albert-0.14.22.tar.gz 84925 BLAKE2B 
b009bd0420f2e5894e2e71e526361c6b177ceb0ed9339efd276228e3cb8aed52eba811b8f2f6ade8f39357017458f2cbfddec25f0df4de8d12397451bd98cb57
 SHA512 
91c131140f666dda665e07e617ce0d2af5c776233f9cf1430aedfc18299dcc22c6dcdec4d82f15fc2d81fa44679f9d3608a47128d33bfbddeb97481b430608c8
+DIST albert-0.15.0-plugins.tar.gz 534292 BLAKE2B 
1eef450bb575ffe3439248f49659e4e6535ae595c7a69dab7517e8bd1c4ce9a2a88ce370807fb1f0948a8da76758b6773b91e982fe8bbafe572b1071d1126265
 SHA512 
94b64e247dabcca11e54ac06ce57578709d9634768648ce8023c5f6065124077bba58c5913a191c27cdf189e9a40eb5b0abbd071a3080d3c950a753256445650
+DIST albert-0.15.0.tar.gz 86557 BLAKE2B 
58fb745fcb2dce6f78d66c655e7051031f8578c12ff7cf680d6b5ae63bbc03b60d43605523f3d31dbc4972c92b8fae16880ab660427ec30c0048cf6273924248
 SHA512 
9ca5e419fe6314a81c03f8440219d9dc1b248504b8a0adcc42006c53e300e7f480081dfb90800c64b47a928ab669a6fbc8594d32a923443c0d9843133b2a5715

diff --git a/x11-misc/albert/albert-0.15.0.ebuild 
b/x11-misc/albert/albert-0.15.0.ebuild
new file mode 100644
index 00000000000..aac09bb9cd8
--- /dev/null
+++ b/x11-misc/albert/albert-0.15.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLUGINS_HASH="2b232eb7fe87b6cdf861815ea2f4f7ba4e4c46c6"
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="Desktop agnostic launcher"
+HOMEPAGE="https://albertlauncher.github.io/";
+# plugins is a git submodule. the hash is taken from the submodule reference 
in the ${PV} tag.
+SRC_URI="https://github.com/albertlauncher/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+https://github.com/albertlauncher/plugins/archive/${PLUGINS_HASH}.tar.gz -> 
${P}-plugins.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug"
+
+RDEPEND="
+       dev-cpp/muParser
+       dev-qt/qtcharts:5
+       dev-qt/qtconcurrent:5
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtsql:5[sqlite]
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtx11extras:5
+       x11-libs/libX11
+       x11-libs/libXext
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       mv "${WORKDIR}"/plugins-${PLUGINS_HASH}/* "${S}"/plugins/ || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_DEBUG=$(usex debug)
+               -DBUILD_PYTHON=OFF #plugin directory is empty causing build 
failure
+               -DBUILD_VIRTUALBOX=OFF #plugin needs virtualbox installed to 
build, untested
+       )
+
+       cmake-utils_src_configure
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to